<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Format](./bitburner.format.md)

## Format interface

Format API

**Signature:**

```typescript
export interface Format 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [number(n, fractionalDigits, suffixStart, isInteger)](./bitburner.format.number.md) | Format a number. |
|  [percent(n, fractionalDigits, suffixStart)](./bitburner.format.percent.md) | Format a number as a percentage. |
|  [ram(n, fractionalDigits)](./bitburner.format.ram.md) | Format a number as an amount of ram. |
|  [time(milliseconds, milliPrecision)](./bitburner.format.time.md) | Format time to a readable string. |

